<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tbl_anggota_aktivitas', function (Blueprint $table) {
            $table->id();
            $table->foreignId('anggota_id')->constrained('tbl_anggota')->onDelete('cascade');
            $table->text('uraian_aktivitas');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tbl_anggota_aktivitas');
    }
};
